{
  "format_version": "1.8.0",
  "animations": {
    "animation.crl.magma_cube.move": {
      "loop": true,
      "bones": {
        "bodycube_0": {
          "position": [
            0,
            "math.max(0.0, query.variant) * 3.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_1": {
          "position": [
            0,
            "math.max(0.0, query.variant) * 2.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_2": {
          "position": [
            0,
            "math.max(0.0, query.variant) * 1.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_4": {
          "position": [
            0,
            "math.max(0.0, query.variant) * -1.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_5": {
          "position": [
            0,
            "math.max(0.0, query.variant) * -2.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_6": {
          "position": [
            0,
            "math.max(0.0, query.variant) * -3.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        },
        "bodycube_7": {
          "position": [
            0,
            "math.max(0.0, query.variant) * -4.0 * (variable.squish_factor < 0.0 ? 0.0 : variable.squish_factor) * 1.7",
            0
          ]
        }
      }
    },
    "animation.crl.magma_cube.idle": {
      "loop": true,
      "animation_length": 2.48,
      "bones": {
        "idle": {
          "rotation": {
            "0.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "0.56": {
              "post": [1, 1, 0.5],
              "lerp_mode": "catmullrom"
            },
            "1.64": {
              "post": [-1, -1, -0.5],
              "lerp_mode": "catmullrom"
            },
            "2.48": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            }
          }
        }
      }
    }
  }
}
